Subject: [Anima] Constrained-join-proxy: use of DNS-SD discovery of a Join Proxy

From: Esko Dijk <[email-masked]>
Date: Tue, 30 Nov 2021 12:55:55 +0000

While reviewing latest updates; one other issue came up: the draft (re latest in Github) currently mentions DNS-SD as a means for a Pledge to discover a Join Proxy.
But for DNS-SD discovery I believe a service name is needed; see RFC 6763 Section 7.  But there’s no service name yet defined for a Join Proxy.

Easiest solution would be to remove the entire DNS-SD sentence and reference.   I.e. defer this to a future document.

If not removed, we probably need to add a service name registration for Constrained Join Proxy such that it can advertise its service and port over DNS-SD/mDNS correctly.

(Note: the above is unrelated to my earlier remark on requiring a service name for the Registrar’s JPY protocol support. This could also be discovered over DNS-SD/mDNS but would need a separate service name.)

Best regards
Esko

IoTconsultancy.nl  |  Email/Teams: [email-masked]<mailto:[email-masked]>    |   +31 6 2385 8339

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 1 Dec 2021 08:42:11 +1300

> Easiest solution would be to remove the entire DNS-SD sentence and reference.   I.e. defer this to a future document.

I think there's another reason for deferring it. We have a pending proposal in draft-eckert-anima-grasp-dnssd for how DNS-SD will integrate in an autonomic environment. It seems wise to have more clarity about that before defining how DNS-SD works for a Join Proxy. The two things may be completely orthogonal, but that requires a little thought.

     Brian

> 
> If not removed, we probably need to add a service name registration for 
Constrained Join Proxy such that it can advertise its service and port over DNS-SD/mDNS correctly.
> 
> (Note: the above is unrelated to my earlier remark on requiring a service name for the Registrar’s JPY protocol support. This could also 
be discovered over DNS-SD/mDNS but would need a separate service name.)
> 
> Best regards
> 
> Esko
> 
> *IoTconsultancy.nl*  |  Email/Teams: [email-masked] <mailto:[email-masked]>    |   
+31 6 2385 8339
> 
> 
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>